return to index

VDKPanedForm class <panedform.h>

Inherits from VDKForm

Description

This class provides a paned form.

**WARNING** This class will be no longer supported into new version, its use is deprecated

Public members

None

Properties

None

Methods

- VDKPanedForm(VDKApplication* app, gchar* title = "", int mode = v_box,
GtkWindowType display = GTK_WINDOW_TOPLEVEL);
Constructor, make a paned form either vertically (v_box) or horizontally (h_box) paned.
- VDKPanedForm(VDKForm* owner, gchar* title = "", int mode = v_box,
GtkWindowType display = GTK_WINDOW_TOPLEVEL);
Constructor, as above
- virtual void Add(VDKObject* obj, int pane = 1);
Add an object to pane 1 or 2
- virtual ~VDKPanedForm()
Destructor.